%bcond_without bootstrap

Name:           maven-filtering
Version:        3.2.0
Release:        %mkrel 6
Group:          Development/Java
Summary:        Shared component providing resource filtering
License:        ASL 2.0
URL:            https://maven.apache.org/shared/%{name}/index.html
BuildArch:      noarch
ExclusiveArch:  aarch64 ppc64le s390x x86_64 noarch
Source0:        https://repo1.maven.org/maven2/org/apache/maven/shared/%{name}/%{version}/%{name}-%{version}-source-release.zip

Patch1:         0001-Skip-failed-tests.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-components:pom:)
BuildRequires:  mvn(org.apache.maven.shared:maven-shared-utils)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-settings)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.plexus)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
BuildRequires:  mvn(org.mockito:mockito-core)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:  mvn(org.sonatype.plexus:plexus-build-api::tests:)
%endif

%description
These Plexus components have been built from the filtering process/code in 
Maven Resources Plugin. The goal is to provide a shared component for all 
plugins that needs to filter resources.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
%patch1 -p1

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Sun Jul 24 2022 neoclust <neoclust> 3.2.0-6.mga9
+ Revision: 1870650
- Add a bootstrap mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Sep 03 2020 daviddavid <daviddavid> 3.2.0-1.mga8
+ Revision: 1621347
- Update to version 3.2.0
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 3.1.1-5.mga8
+ Revision: 1491746
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 3.1.1-4.mga7
+ Revision: 1264054
- Mageia 7 Mass Rebuild

* Mon May 15 2017 neoclust <neoclust> 3.1.1-3.mga6
+ Revision: 1101543
- Rebuild maven-* packages

* Tue May 09 2017 neoclust <neoclust> 3.1.1-2.mga6
+ Revision: 1099801
- New version 3.1.1
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 3.0.0-2.mga6
+ Revision: 977305
- First rebuild of the java stack
- sync package maven-filtering with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-4.mga5
+ Revision: 745141
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 dmorgan <dmorgan> 1.1-1.mga4
+ Revision: 483032
- New version 1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 359637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 gil <gil> 1.0-1.mga2
+ Revision: 180004
- build fix
  migration from plexus-maven-plugin to plexus-containers-component-metadata
+ dmorgan <dmorgan>
- imported package maven-filtering


* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-5
- Really fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-4
- Fixed Provides/Obsoletes

* Wed Aug 31 2011 Tomas Radej <tradej@redhat.com> - 1.0-3
- Added Provides/Obsoletes

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-2
- Removed rm -rf {buildroot}

* Tue Aug 16 2011 Tomas Radej <tradej@redhat.com> 1.0-1
- Initial release (thanks to the GULaG team)

